Search for companies
curl --request POST \
--url https://horizon.gravitygtm.com/api/v1/company/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keyword": "<string>",
"location": "<string>",
"limit": 10
}
'import requests
url = "https://horizon.gravitygtm.com/api/v1/company/search"
payload = {
"keyword": "<string>",
"location": "<string>",
"limit": 10
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({keyword: '<string>', location: '<string>', limit: 10})
};
fetch('https://horizon.gravitygtm.com/api/v1/company/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"name": "<string>",
"linkedinUrl": "<string>",
"industry": "<string>",
"summary": "<string>",
"location": "<string>",
"followers": 123
}
],
"credits_charged": 123,
"credits_remaining": 123,
"cached": true,
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credits_remaining": 123,
"refund_issue": true
}{
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credits_remaining": 123,
"refund_issue": true
}{
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credits_remaining": 123,
"refund_issue": true,
"credits_charged": 123
}{
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credits_remaining": 123,
"refund_issue": true
}{
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credits_remaining": 123,
"refund_issue": true
}{
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credits_remaining": 123,
"refund_issue": true
}company
Search for companies
Searches LinkedIn companies by keyword and/or location. Costs 3 credit(s) per call.
POST
/
v1
/
company
/
search
Search for companies
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Provide keyword and/or location.
Response
200 — success. Charges 3 credit(s) on this endpoint.
Array of matching companies.
Show child attributes
Show child attributes
Normally 3; see per-endpoint miss/skip policy notes.
True when this result was served from cache without calling the vendor.
⌘I